# echarts-on-react
A flexible echarts wrapper for react.
# 1. install
```sh
npm install --save echarts-on-react
```
# 2. use
```javascript
import EchartsOnReact from 'echarts-on-react/lib/EchartsOnReact';
import echarts from 'echarts';
...
<EchartsOnReact
  ref={(chartRef) => {
    this.echartsReact = chartRef;
  }}
  echarts={echarts}
  options={options}
  updateData={this.state.data}
  notMerge={true}
  lazyUpdate={true}
  silent={true} />
```